function init(hero) {
    hero.setName("Ant Man UCM");
    hero.setTier(4);
    
    hero.setHelmet("item.superhero_armor.piece.helmet");
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    
    hero.addAbilities("fiskheroes:size_manipulation", "fiskheroes:superhuman_durability", "fiskheroes:geokinesis", "fiskheroes:leaping");
    hero.addAttribute("JUMP_HEIGHT", 0.5, 0);
    hero.addAttribute("FALL_RESISTANCE", 2.0, 0);
    hero.addAttribute("PUNCH_DAMAGE", 2.5, 0);
    
    hero.addKeyBind("SHRINK", "key.shrink", 1);
    hero.addKeyBind("GROW", "key.grow", 2);
    hero.addKeyBind("GROUND_SMASH", "key.groundSmash", 3);
    hero.addKeyBind("EARTHQUAKE", "key.earthquake", 4);
    hero.addKeyBind("MINIATURIZE_SUIT", "key.miniaturizeSuit", 5);

    hero.setDefaultScale(1.0);
    hero.setHasProperty(hasProperty);
    hero.supplyFunction("getMinSize", 0.0625);
    hero.supplyFunction("getMaxSize", 15.0);
    hero.supplyFunction("isInstant", false);
}

function hasProperty(entity, property) {
    return property == "BREATHE_SPACE";
}
